# Alarm

A decision block that gets or awaits the next alarm in the default Clock app.

If the proceed option is set to Immediately, then the fiber will proceed immediately without pause with the next alarm, whether it’s set or not. If set to When changed, then the fiber will pause until the next alarm has changed, or was cancelled. If set to When triggered, then the fiber will pause until the next alarm has triggered, or was cancelled.

Note! This feature isn’t officially supported, may not work on all devices. Accuracy may be improved by using a Timing accuracy workaround in settings, but using the Alarm clock option may cause interference.

## Options

- Proceed — when the fiber should proceed.

## Output variables

- Alarm timestamp — variable to assign the unix timestamp of the next or cancelled alarm.